Jump to content

[RISOLTO]Upgrade da 1.3.6 a 1.6.0.2 o 1.5.6.1 chiavi primarie duplicate


kondor75
 Share

Recommended Posts

Salve ragazzi, sto provando da giorni a effettuare in locale l'upgrade con 1-click-upgrade dalla mia attuale versione 1.3.6 alla 1.6.0.2 (ma i risultati sono gli stessi con la 1.6.5.1).

 

Riesco perfettamente a replicare in locale il funzionamento in esercizio del mio sito, quindi tutto identico tranne la configurazione del file settings sotto la cartella config e con il db di esercizio ripristinato in locale.

 

L'autoupgrade scorre preciso senza errori fino ad avere alla fine la mia versione di prestashop aggiornato alla 1.6 (alpha) o anche all 1.5.6.1 attualmente ultima versione stabile online.

 

Ora prima di perdere tempo a fare tutte le prove di funzionamento ho provato a esportare il db anch'esso aggiornato e quindi eseguire un restore dello stesso.

 

..e qui arriva il problema...

appena clicco sul pulsante per ripristinare il nuovo db con il seguente output:

 

Errore

Query SQL:

-- -- Dump dei dati per la tabella `ps_access` -- INSERT INTO `ps_access` (`id_profile`, `id_tab`, `view`, `add`, `edit`, `delete`) VALUES (1, 1, 1, 1, 1, 1), (1, 2, 1, 1, 1, 1), (1, 3, 1, 1, 1, 1), (1, 4, 1, 1, 1, 1), (1, 5, 1, 1, 1, 1), (1, 6, 1, 1, 1, 1), (1, 7, 1, 1, 1, 1), (1, 8, 1, 1, 1, 1), (1, 9, 1, 1, 1, 1), (1, 10, 1, 1, 1, 1), (1, 11, 1, 1, 1, 1), (1, 12, 1, 1, 1, 1), (1, 13, 1, 1, 1, 1), (1, 14, 1, 1, 1, 1), (1, 15, 1, 1, 1, 1), (1, 16, 1, 1, 1, 1), (1, 17, 1, 1, 1, 1), (1, 18, 1, 1, 1, 1), (1, 19, 1, 1, 1, 1), (1, 20, 1, 1, 1, 1), (1, 21, 1, 1, 1, 1), (1, 22, 1, 1, 1, 1), (1, 24, 1, 1, 1, 1), (1, 26, 1, 1, 1, 1), (1, 27, 1, 1, 1, 1), (1, 28, 1, 1, 1, 1), (1, 29, 1, 1, 1, 1), (1, 30, 1, 1, 1, 1), (1, 31, 1, 1, 1, 1), (1, 32, 1, 1, 1, 1), (1, 33, 1, 1, 1, 1), (1, 34, 1, 1, 1, 1), (1, 35, 1, 1, 1, 1), (1, 36, 1, 1, 1, 1), (1, 37, 1, 1, 1, 1), (1, 38, 1, 1, 1, 1), (1, 41, 1, 1, 1, 1), (1, 42, 1, 1, 1, 1), (1, 43, 1, 1, 1, 1), (1, 44, 1, 1, 1, 1), (1, 46, 1, 1, 1, 1), (1, 47[...]

Messaggio di MySQL: dot.gif

#1062 - Duplicate entry '1-1' for key 'PRIMARY' 
...di conseguenza ho cercato su internet, realizzando che anche altri hanno sto problema quando si passa di fatto da tutte le versioni antecedenti o uguali alla 1.4.11.0 alla 1.5.x in su
 
Questo è un peccato poichè almeno a quanto sembra a me l'upgrade va tutto bene...
 
Qualcuno sà se tale problema è un baco, se è stato risolto e se si dove posso trovare la soluzione.
 
Grazie anticipatamente a tutti e buon anno
 
Gian Paolo
Edited by kondor75 (see edit history)

Share this post


Link to post
Share on other sites

ciao....

....ti sta dicendo che tabelle e dati esistono gia nel DB.....il db deve essere vuoto prima dell'importazione di nuovi dati

....buon 2014 anche a te

 

Perfetto risolto, grz per l'indicazione in effetti facevo un errore io nell'operazione di ripristino del DB.

 

Buone feste ancora!!!

G.P.

Edited by kondor75 (see edit history)

Share this post


Link to post
Share on other sites

Scusate,

mi incuriosiva provare un upgrade a PS1.6.02 alfa (solo per test), solo che anche selezionando versioni alfa (ma le ho provate tutte le opzioni di 1 click autoupgrade), non mi viene mai proposta la versione alfa (ho provato con le versioni 1.5.6.1 e 1.4.10).

Quindi questo post mi ha subito incuriosito: vuoi dire che solo selezionando l'upgrade al canale alfa, hai potuto procedere all'aggiornamento?!?

Proverò a fare dei test in locale.

Share this post


Link to post
Share on other sites

Scusate,

mi incuriosiva provare un upgrade a PS1.6.02 alfa (solo per test), solo che anche selezionando versioni alfa (ma le ho provate tutte le opzioni di 1 click autoupgrade), non mi viene mai proposta la versione alfa (ho provato con le versioni 1.5.6.1 e 1.4.10).

Quindi questo post mi ha subito incuriosito: vuoi dire che solo selezionando l'upgrade al canale alfa, hai potuto procedere all'aggiornamento?!?

Proverò a fare dei test in locale.

 

No, io avendo la base alla 1.3.6, ho dovuto scaricare in locale la 1.6.0.2 ( o cmq la versione a cui desideri arrivare) e l'ho collocata nella cartella /admin/autoupgrade/download/

Quando usi 1-click-upgrade devi selezionare: altre opzioni-->archivio locale (scegli la versione che hai messo all'interno della cartella dowload e ribadisci nella casella vicino la versione a cui vuoi arrivare) attendi qlc secondo che il sistema rilevi in automatico tutte le modifiche che dovrà effettuare e poi premi il pulsante Aggiorna.

 

A me va tutto liscio

 

Ovviamente poi mi trovo di fronte al grosso lavoro di rimettere apposto il tema, che io avevo impostato a 2 colonne originariamente... CAOS ^^ ma per il resto funge tutto!

Edited by kondor75 (see edit history)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More